org.apache.hc.client5.http.impl.io

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.DefaultHttpResponseParserFactory

All Implemented Interfaces:
  HttpMessageParserFactory<ClassicHttpResponse>

    @Contract(threading=STATELESS)
    public class DefaultHttpResponseParserFactory
    extends Object
    implements HttpMessageParserFactory<ClassicHttpResponse>

Default factory for response message parsers.

Since:
  4.3

### Field Summary

Fields
`static DefaultHttpResponseParserFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpResponseParserFactory()`
`DefaultHttpResponseParserFactory(HttpResponseFactory<ClassicHttpResponse> responseFactory)`
`DefaultHttpResponseParserFactory(LineParser lineParser, HttpResponseFactory<ClassicHttpResponse> responseFactory)`

### Method Summary

Methods
`HttpMessageParser<ClassicHttpResponse>` `create(H1Config h1Config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultHttpResponseParserFactory INSTANCE

### Constructor Detail

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(LineParser lineParser,
                                    HttpResponseFactory<ClassicHttpResponse> responseFactory)

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(HttpResponseFactory<ClassicHttpResponse> responseFactory)

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory()

### Method Detail

#### create

    public HttpMessageParser<ClassicHttpResponse> create(H1Config h1Config)

Specified by:
  `create` in interface `HttpMessageParserFactory<ClassicHttpResponse>`